/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * IntsQuery.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Dialog.hpp"
#include "Actions/ValueStorage.hpp"


// Ints Queries
Dialog::IntsQuery::IntsQuery(Parameter<std::vector<int> > &_param, std::string title, std::string description) :
    Query(title, description),
    param(_param)
{}

Dialog::IntsQuery::~IntsQuery() {}

void Dialog::IntsQuery::setResult() {
  //ValueStorage::getInstance().setCurrentValue(title.c_str(), tmp);
}

